Deployments.ai Docs
Memory

Inspect memory retrieval quality

GET /v1/memory/quality · SDK getMemoryQuality · CLI deployments memory quality

GET
/v1/memory/quality

Requires memory:read.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Query Parameters

since?string
limit?integer
Range1 <= value <= 5000

Header Parameters

x-deployments-environment?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-organization?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

MemoryObjectResponse

application/json
  1. response
curl -X GET "https://example.com/v1/memory/quality"
{}